Skip to main content
GET
/
v2
/
onchain
/
markets
/
{token_id}
/
volume
Market volume (onchain)
curl --request GET \
  --url https://api.polynode.dev/v2/onchain/markets/{token_id}/volume
Returns lifetime trading volume statistics for a specific market token, sourced directly from onchain settlement data. Enriched with market metadata.

Request

GET /v2/onchain/markets/{token_id}/volume
ParameterTypeLocationDescription
token_idstringpathCTF token ID (numeric string)

Response

{
  "token_id": "21912724974096796009916816278814088615574660931588091764221331842149572809887",
  "source": "onchain",
  "found": true,
  "market": "Bitcoin Up or Down - March 28, 9:55PM-10:00PM ET",
  "slug": "btc-updown-5m-1774749300",
  "outcome": "Up",
  "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/BTC+fullsize.png",
  "condition_id": "0xb91dbc2ba7f0d33c71fca765909e98b2023af855f1d69b82d5fd59732085700d",
  "total_trades": 2886,
  "buys": 2609,
  "sells": 277,
  "volume_usdc": 31054.394523,
  "buy_volume_usdc": 29482.48427,
  "sell_volume_usdc": 1571.910253
}
FieldTypeDescription
foundbooleanWhether the token was found onchain
marketstringMarket question
slugstringMarket slug
outcomestringOutcome label for this token
imagestringMarket image URL
condition_idstringMarket condition ID
total_tradesnumberLifetime number of fills
buysnumberNumber of buy fills
sellsnumberNumber of sell fills
volume_usdcnumberTotal volume in USDC
buy_volume_usdcnumberBuy-side volume in USDC
sell_volume_usdcnumberSell-side volume in USDC

Example

curl "https://api.polynode.dev/v2/onchain/markets/21912724974096796009916816278814088615574660931588091764221331842149572809887/volume" \
  -H "x-api-key: YOUR_KEY"

Path Parameters

token_id
string
required

CTF token ID

Response

Volume statistics